> For the complete documentation index, see [llms.txt](https://docs.stork.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stork.network/api-reference/publisher-agent-configs/keys-json.md).

# Keys JSON

{% hint style="info" %}
The fields in `keys.json` can be overridden or substituted with environment variables.
{% endhint %}

## Overview

The `keys.json` file contains sensitive configuration settings, including private and public keys, and is used for signing updates and identifying the publisher.

## JSON Structure

```json
{
  "EvmPrivateKey": <string>,
  "EvmPublicKey": <string>,
  "StarkPrivateKey": <string>,
  "StarkPublicKey": <string>,
  "OracleId": <string>,
  "PullBasedAuth": <string>
}
```

## Configuration Fields

### **`EvmPrivateKey`**

* **Type**: String
* **Description**: The private key for signing updates on the Ethereum Virtual Machine (EVM).
* **Required**: Yes (if `evm` is included in `SignatureTypes` in `config.json`)
* **Example**: `"0x8b558d5fc31eb64bb51d44b4b28658180e96764d5d5ac68e6d124f86f576d9de"`

### **`EvmPublicKey`**

* **Type**: String
* **Description**: The public key corresponding to the EVM private key.
* **Required**: Yes (if `evm` is included in `SignatureTypes` in `config.json`)
* **Example**: `"0x99e295e85cb07c16b7bb62a44df532a7f2620237"`

### **`StarkPrivateKey`**

* **Type**: String
* **Description**: The private key for signing updates on the Starkware platform.
* **Required**: Yes (if `stark` is included in `SignatureTypes` in `config.json`)
* **Example**: `"0x66253bdeb3c1a235cf4376611e3a14474e2c00fd2fb225f9a388faae7fb095a"`

### **`StarkPublicKey`**

* **Type**: String
* **Description**: The public key corresponding to the Stark private key.
* **Required**: Yes (if `stark` is included in `SignatureTypes` in `config.json`)
* **Example**: `"0x418d3fd8219a2cf32a00d458f61802d17f01c5bcde5a4f82008ee4a7c8e9a06"`

### **`OracleId`**

* **Type**: String
* **Description**: The 5 character unique identifier for the oracle.
* **Required**: Yes
* **Example**: `"oracl"`

### **`PullBasedAuth`**

* **Type**: String
* **Description**: The authentication token or key used to access pull-based websocket servers.
* **Required**: No
* **Example**: `"Bearer abc123"`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stork.network/api-reference/publisher-agent-configs/keys-json.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
